Package com.ngrok.services

# Class SshHostCertificates

java.lang.Object
com.ngrok.services.SshHostCertificates

public class SshHostCertificates extends Object
SSH Host Certificates along with the corresponding private key allows an SSH server to assert its authenticity to connecting SSH clients who trust the SSH Certificate Authority that was used to sign the certificate. See also https://ngrok.com/docs/api#api-ssh-host-certificates.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SshHostCertificates.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `SshHostCertificates.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `SshHostCertificates.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `SshHostCertificates.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `SshHostCertificates.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshHostCertificates(NgrokApiClient apiClient)`
  Creates a new sub-client for SshHostCertificates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SshHostCertificates.CreateCallBuilder`
  `create(String sshCertificateAuthorityId, String publicKey)`
  Create a new SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-create.
  `SshHostCertificates.DeleteCallBuilder`
  `delete(String id)`
  Delete an SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-delete.
  `SshHostCertificates.GetCallBuilder`
  `get(String id)`
  Get detailed information about an SSH Host Certficate See also https://ngrok.com/docs/api#api-ssh-host-certificates-get.
  `SshHostCertificates.ListCallBuilder`
  `list()`
  List all SSH Host Certificates issued on this account See also https://ngrok.com/docs/api#api-ssh-host-certificates-list.
  `SshHostCertificates.UpdateCallBuilder`
  `update(String id)`
  Update an SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SshHostCertificates

    public SshHostCertificates(NgrokApiClient apiClient)
    Creates a new sub-client for SshHostCertificates.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public SshHostCertificates.CreateCallBuilder create(String sshCertificateAuthorityId, String publicKey)
    Create a new SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-create.
    Parameters:
      `sshCertificateAuthorityId` - the ssh certificate authority that is used to sign this ssh host certificate
      `publicKey` - a public key in OpenSSH Authorized Keys format that this certificate signs
    Returns:
      a call builder for this API call

  - ### delete

    public SshHostCertificates.DeleteCallBuilder delete(String id)
    Delete an SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public SshHostCertificates.GetCallBuilder get(String id)
    Get detailed information about an SSH Host Certficate See also https://ngrok.com/docs/api#api-ssh-host-certificates-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public SshHostCertificates.ListCallBuilder list()
    List all SSH Host Certificates issued on this account See also https://ngrok.com/docs/api#api-ssh-host-certificates-list.
    Returns:
      a call builder for this API call

  - ### update

    public SshHostCertificates.UpdateCallBuilder update(String id)
    Update an SSH Host Certificate See also https://ngrok.com/docs/api#api-ssh-host-certificates-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call